Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.kerberos.msg
Interface APReq

public interface APReq
extends EncryptedPart, KerberosMessage

An interface to the Kerberos application request message.

Defined in RFC 1510 by the ASN.1 structure AP-REQ

       AP-REQ ::=  [APPLICATION 14] SEQUENCE {
                       pvno[0]                       INTEGER,
                       msg-type[1]                   INTEGER,
                       ap-options[2]                 APOptions,
                       ticket[3]                     Ticket,
                       authenticator[4]              EncryptedData
                   }

       -- Unencrypted authenticator

       Authenticator :== [APPLICATION 2] SEQUENCE {
                        authenticator-vno[0]    INTEGER,
                        crealm[1]               Realm,
                        cname[2]                PrincipalName,
                        cksum[3]                Checksum OPTIONAL,
                        cusec[4]                INTEGER,
                        ctime[5]                KerberosTime,
                        subkey[6]               EncryptionKey OPTIONAL,
                        seq-number[7]           INTEGER OPTIONAL,
                        auth-data[8]            AuthorizationData OPTIONAL
                    }

Method Summary
`APOptions` | `getAPOptions()` Returns the APOptions in this request
`AuthorizationDataElement[]` | `getAuthorizationData()` Returns the authorization data in this Request, or null if absent
`Checksum` | `getChecksum()` Returns the Checksum in this Request, or null if absent
`PrincipalName` | `getClientName()` Returns the client PrincipalName in this Request
`String` | `getClientRealm()` Returns the client realm in this Request
`Date` | `getClientTime()` Returns the client time in this response.
`int` | `getCusec()` Returns the microsecond part of the client time (including any fractional milliseconds).
`int` | `getSequenceNumber()` Returns the sequence number in this Request, or -1 if absent
`EncryptionKey` | `getSubKey()` Returns the sub-session key in this Request, or null if absent
`Ticket` | `getTicket()` Returns the Ticket in this Request

Methods inherited from interface com.dstc.security.kerberos.msg.EncryptedPart
`decrypt, encryptionType, initDecrypt`

Methods inherited from interface com.dstc.security.kerberos.msg.KerberosMessage
`getEncoded`

Method Detail

### getAPOptions

    public APOptions getAPOptions()

  Returns the APOptions in this request

### getTicket

    public Ticket getTicket()

  Returns the Ticket in this Request

### getSequenceNumber

    public int getSequenceNumber()
                          throws NotYetDecryptedException

  Returns the sequence number in this Request, or -1 if absent

### getClientRealm

    public String getClientRealm()
                          throws NotYetDecryptedException

  Returns the client realm in this Request

### getClientName

    public PrincipalName getClientName()
                                throws NotYetDecryptedException

  Returns the client PrincipalName in this Request

### getClientTime

    public Date getClientTime()
                       throws NotYetDecryptedException

  Returns the client time in this response. The returned time is a combination of the ctime and cusec fields in the ASN.1 definition of Authenticator, correct to the resolution of a Java Date (ie. fractional milliseconds are ignored).

### getCusec

    public int getCusec()
                 throws NotYetDecryptedException

  Returns the microsecond part of the client time (including any fractional milliseconds).

### getChecksum

    public Checksum getChecksum()
                         throws NotYetDecryptedException

  Returns the Checksum in this Request, or null if absent

### getSubKey

    public EncryptionKey getSubKey()
                            throws NotYetDecryptedException

  Returns the sub-session key in this Request, or null if absent

### getAuthorizationData

    public AuthorizationDataElement[] getAuthorizationData()
                                                    throws NotYetDecryptedException

  Returns the authorization data in this Request, or null if absent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD